import Ember from 'ember';
import DS from 'ember-data';

export default DS.Model.extend({
   name: DS.attr('string'),
   nbColumns: DS.attr('number'),
   nbRows: DS.attr('number'),
   image: DS.attr('string'),
   createdAt: DS.attr('date', {defaultValue() { return new Date(); }}),
   capacity: Ember.computed('nbColumns', 'nbRows', function() {
      return this.get('nbColumns')*this.get('nbRows'); }),

});
